#
# spec file for package python-yaspin
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-yaspin
Version:        0.18.0
Release:        1.18
Summary:        Yet Another Terminal Spinner
License:        MIT
URL:            https://github.com/pavdmyt/yaspin
Source:         https://files.pythonhosted.org/packages/source/y/yaspin/yaspin-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Yet Another Terminal Spinner.

%prep
%setup -q -n yaspin-%{version}

%build
%python_build

%install
%python_install
%python_expand rm -r %{buildroot}%{$python_sitelib}/tests/
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Aug  6 2020 Tomáš Chvátal <tchvatal@suse.com>
- Do not install tests folder directly in sitelib
* Tue Jul 21 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.18.0
  * Update cli-spinners to ``v2.4.0``
  * Update dependencies
  * fix(#59): remove ``tests/`` and ``examples/`` from wheels distribution
  * Migrate to ``poetry`` for dependencies management, building and publishing project
  * Add tests for Python 3.8
  * Deprecate support for Python 3.4
  * Run tests under Ubuntu 18.04
  * Update dev dependencies to the most recent ones (compatible with Python 2.7)
* Mon Feb  3 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.16.0
  * Allow use inside zip bundled package
  * Code improvements
* Mon Aug 12 2019 Marketa Calabkova <mcalabkova@suse.com>
- Update to 15.0
  * Update cli-spinners to v2.2.0
* Fri May 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.14.3:
  * fix(#29): race condition between spinner thread and write()
* Mon May  6 2019 pgajdos@suse.com
- version update to 0.14.2
  * fix: remove extra ``\b`` written to stdout. Fixes ``write()`` in
    rxvt terminal
* Fri Mar  1 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.14.1
